package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import javax.validation.constraints.NotNull;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * BindNumberList
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class BindNumberList   {
  @JsonProperty("bindNumberList")
  @Valid
  private List<TelephoneNumberWithoutStatusOpenApiVo> bindNumberList = new ArrayList<>();

  public BindNumberList bindNumberList(List<TelephoneNumberWithoutStatusOpenApiVo> bindNumberList) {
    this.bindNumberList = bindNumberList;
    return this;
  }

  public BindNumberList addBindNumberListItem(TelephoneNumberWithoutStatusOpenApiVo bindNumberListItem) {
    this.bindNumberList.add(bindNumberListItem);
    return this;
  }

  /**
   * The list of telephone number without status.
   * @return bindNumberList
  */
  @ApiModelProperty(required = true, value = "The list of telephone number without status.")
  @NotNull

  @Valid

  public List<TelephoneNumberWithoutStatusOpenApiVo> getBindNumberList() {
    return bindNumberList;
  }

  public void setBindNumberList(List<TelephoneNumberWithoutStatusOpenApiVo> bindNumberList) {
    this.bindNumberList = bindNumberList;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    BindNumberList bindNumberList = (BindNumberList) o;
    return Objects.equals(this.bindNumberList, bindNumberList.bindNumberList);
  }

  @Override
  public int hashCode() {
    return Objects.hash(bindNumberList);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class BindNumberList {\n");
    
    sb.append("    bindNumberList: ").append(toIndentedString(bindNumberList)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

